Delete notification rules in bulk
POST
/notifications/rules/bulk-delete
const url = 'https://sylve.lan:8181/api/notifications/rules/bulk-delete';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"ids":[1]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/notifications/rules/bulk-delete \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "ids": [ 1 ] }'Delete an exact set of notification rules atomically; missing active auto-managed rules are recreated by synchronization
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Notification rule IDs
Media typeapplication/json
object
ids
required
Array<integer>
Examplegenerated
{ "ids": [ 1 ]}Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
rules
Array<object>
object
active
boolean
config
string
discordEnabled
boolean
emailEnabled
boolean
id
integer
kind
string
ntfyEnabled
boolean
pushoverEnabled
boolean
targetKey
string
targetLabel
string
templateKey
string
templateLabel
string
uiEnabled
boolean
templates
Array<object>
object
defaultConfig
string
description
string
key
string
label
string
targetType
string
targets
Array<object>
object
key
string
label
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "rules": [ { "active": true, "config": "example", "discordEnabled": true, "emailEnabled": true, "id": 1, "kind": "example", "ntfyEnabled": true, "pushoverEnabled": true, "targetKey": "example", "targetLabel": "example", "templateKey": "example", "templateLabel": "example", "uiEnabled": true } ], "templates": [ { "defaultConfig": "example", "description": "example", "key": "example", "label": "example", "targetType": "example", "targets": [ { "key": "example", "label": "example" } ] } ] }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Request Entity Too Large
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}